Results 1 to 9 of 9
  1. robnaj's Avatar
    Posts
    1 Posts
    Global Posts
    9 Global Posts
       #1  
    I have a question,


    My question is why can't you make a costume update/port to the AT&T pre.

    (Example on Android you can flash the Droid X to a 2.2 rom from the Droid 2)

    The reason for this question is from my understanding the AT&T pre is not on the most resent OS so I am course why someone has not tried to do some thing like make a costume update for the AT&T pre with the most recent update.
  2. #2  
    Don't believe you can do that on a GSM model. The port would have to be from another GSM version.
    Mike
  3. #3  
    If you don't mind the possibility of bricking your phone, you can try O2 1.4.5.

    If you can skip the modem update it might work. You'll also lose your AT&T apps (though you might be able to get them back through some tinkering with IPKs.)
    Palm IIIc -> Sony CLI… T650C -> Sony TJ-37 -> Palm TX -> Palm Centro -> Palm Pre Bell -> Palm Pre Plus Bell/Verizon Hybrid -> HP Veer -> HP Pre 3 NA -> BlackBerry Classic -> BlackBerry Priv

    It's a Late Goodbye, such a Late Goodbye.

    Need OEM Palm Pre parts? See here
  4. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
    #4  
    Robnaj, look around for info on metadoctor. You won't brick your phone, and you'll learn a lot.
  5. #5  
    Quote Originally Posted by GuyFromNam View Post
    gutbomb, please be more specific (and responsible).
    An inexperienced user may drop by for a quick confirmation and brick his Pre.

    Meta-Doctor is indeed the way to go, but as TomiCipriani mentions above you have to disable the modem update.
    very true.. and I'll even give you a 'thanks' so you don't have to do it yourself

    OP... webOS isn't like Android and burning ROMs... There are tools as mentioned above, but make sure you read everything VERY carefully before you even attempt anything.
  6. #6  
    Quote Originally Posted by GuyFromNam View Post
    But! But!
    But I was going to call in the assistance of a toiletbrush alter-ego ;-)
    (guess you're the only who gets this )
    Didn't know toiletbrushes had alter-egos, ****, I got it too.

    FyI, the 1.4.5 "wr" doctor works just fine using meta-doctor with modem update disabled. Only thing noticable in AT&T 1.4.2 that you'll lose is AT&T Navigator, ****, you'll gain the ability to select 2G or 3G from the phone preferences menu.

    One could use a similar process to add AT&T Navigator as the Bell Canada folks used early on to install the Sprint Navigation app. Extract the two ipk's from the 1.4.2 doctor and so on ....

    btw, what's wrong with my dress?
    Last edited by TopTongueBarry; 09/11/2010 at 09:56 PM.
    ----------------------------------------------------------------------------------------------------
    I am an AT&T employee and the postings on this site are my own and donít necessarily represent AT&Tís positions, strategies or opinions.
  7. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
    #7  
    Quote Originally Posted by GuyFromNam View Post
    gutbomb, please be more specific (and responsible).
    An inexperienced user may drop by for a quick confirmation and brick his Pre.

    Meta-Doctor is indeed the way to go, but as ToniCipriani mentions above you have to disable the modem update.
    I've got an AT&T pre plus on 1.4.5 with the sprint meta-doctor and I didn't disable modem firmware updating and it works fine. I just disabled carrier and device checking.

    Still no way to use paid apps that require 1.4.5 but using IPK fetcher I can get any of the free apps that require 1.4.5.
  8. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
    #8  
    Quote Originally Posted by GuyFromNam View Post
    Well that is interesting. TTB already told me he did the same on some Telcel models with previous fw versions.
    It would be interested to know if the modem fw installation was skipped or what your current modem firmware version is.
    What do you see under Device Info > Hardware? CU0.5.42(257)?
    Don't have the time now to check if that's related to the modem (sorry).
    CU0.5.33(247)

    Looks like no updating to the modem firmware was done even though I didn't disable it in the makefile. Meta-doctor is pretty foolproof. I was reckless with it, made mistakes, and at worst all I had to do was re-do it. Never got close to a brick or even no signal. I tried the WR first, and then the sprint (which is meant for the pre, not the pre plus, and certainly not GSM, doesn't matter works perfectly anyway)

    I'm not saying go willy nilly, but the steps taken to set up meta-doctor kind of prepare the user for how complicated and careful to be. I doubt people are going to brick their phone with it.
    Last edited by gutbomb; 09/13/2010 at 10:56 AM.
  9. gutbomb's Avatar
    Posts
    24 Posts
    Global Posts
    26 Global Posts
    #9  
    And now 1.4.5 is officially out on AT&T. No more pain in the *** meta-doctor until the next version.

Tags for this Thread

Posting Permissions